# Multibutton.yaml
# Built-in layouts for the Multibutton widget.
# This file is part of Reactor. Copyright (c) 2020 Patrick H. Rigney, All Rights Reserved.
---
defaultlayout: default
layouts:
  default:
    content: |
      <h1 data-bind='data("title");entity.name'></h1>
      <div class="buttongroup" data-mode="radio"><button>1</button><button>2</button></div>
    styles: |
      $ { }
      $ h1 { font-size: 0.8em; font-weight: bold; line-height: 1.1em; overflow: hidden; }
      $ button { padding: 4px 4px; margin: 4px 4px; outline: none; background-color: #ccc; border: 2px solid black; border-radius: 6px; }
      $.active { }
      $.update-pending { }
